let file,
    project = {},
    global = {},
    def={};

let utils = require("./util");
let os = require("os");
let path =require("path");

//工程配置
file = path.join(process.cwd(),"package.json");
if(utils.existsSync(file)){
    project = require(file);
} else {
    file = path.join(process.cwd(), "project.json");
    if(utils.existsSync(file)) {
        project = require(file);
    }
}

//默认配置
file  = `${__dirname}/../scaffold/${project.type}.js`;
if(utils.existsSync(file)){
    def = require(file).getConfig(project);
}

//全局配置
file = `${os.homedir()}/.lighting-plugins/lighting-global.json`;
if(utils.existsSync(file)){
    global = require(file);
}

module.exports = utils.extend({},{
    src:"src",
    dist:"dist",
    pluginsRoot:`${os.homedir()}/.lighting-plugins`,
    authStore:`${require("os").homedir()}/.lighting-plugins/LIGHTING-AUTH-STORE`
},global,def,project);

module.exports.pluginsDir = os.type().toLowerCase()==="windows_nt"?module.exports.pluginsRoot:`${module.exports.pluginsRoot}/lib`;