
##### 工程的启动
1. svn下载工程
2. 切换到工程的根目录,安装依赖
```
npm install
```
3. 到工程根目录，启动工程
```
node app.js  dev //dev为启动的环境参数，供选择的有 (dev、test、prov)
```

#### script名令的使用

/package.json 中script命令


```
  "scripts": {
    "test": "echo \"Error: no test specified\" && exit 1",
    "start-dev": "node node_modules/pm2/bin/pm2  start app.js --watch --no-daemon -- dev",
    "start-test": "node node_modules/pm2/bin/pm2  start app.js -i 0",
    "start-prov": "node node_modules/pm2/bin/pm2  start app.js -i 0  -- prov",
    "restart": "node node_modules/pm2/bin/pm2  restart all",
    "reload": "node node_modules/pm2/bin/pm2  reload all",
    "stop": "node node_modules/pm2/bin/pm2  stop all && pm2 delete all"
  },
```
命令的使用
```
npm run [命令的key] 
```
1.开发过程可wich工程 启动命令
```
npm run start-dev
```
2.工程停止命令
```
npm run top
```

3.重启命令
```
npm run restart
```


#### 工程开发

可依照demo开发，直接使用demo文件中的api文件， 必须满足demo使用条件 然后将demo文件夹中api文件复制到./api文件夹使用
```
/demo

```
#### 测试
```
http://localhost:9000/test
```