module.exports = {
    getConfig:function(env){
        
        let svr = require(`./${env}/server.json`);
        let db = require(`./${env}/db.json`);
        let log = require(`./${env}/log.json`);
        let fileWhiteList = require(`./${env}/fileWhiteList.json`);

        return{
            "server":svr,
            "customConfig":{
                fileWhiteList:fileWhiteList
            },
            "plugins":{
                "light-api-log":log,
               // "light-api-mysql":db.mysql,
               // "light-api-mongo":db.mongoDB,
               // "light-api-redis":db.redis,
                "./plugin/pluginDemo.js":{}
            }

        }
    }
}