let utils = require('../../kernel/util');

let view = utils.template(`
<template>
    <div>
       Hello,World !
    </div>
</template>
<script>
    export default {
        data(){
            return {}
        }
    }
</script>
<style lang="less">

</style>
`);

let typedTemplate = {
    view
};

exports.process = function (type, options) {
    let file = `${type}/${options.id}.vue`;

    if(utils.existsSync(file)){
        utils.log2("info","gen.file.exists",file)
    }else{
        utils.outputFileSync(file,typedTemplate[type](options));
        utils.log2("info","gen.file.success",file)
    }
};