
//引用server-utils 模块 ，通过此模块可以获取其他插件暴漏的方法与对象
/**
 * server-utils 模块暴漏的属性方法如一下：
 *  1.getPlugin(pluginName) --获取插件暴漏方法及对象，参数为插件名（字符串类型）
 *  2.getLogger(name) -- 获取日志对象，参数为日志所属  参数一般为__filename
 *  3.getConfig(key) -- 获取自定义配置中的key对应的value  参数为key（字符串类型） 配置为./config.js中的customConfig对象
 *  4.getMime(filename)--根据带文件后缀的的文件名获取mime类型。 参数为字符串
 */
//let Utils = require('server-utils');


var service = {
    say:function(){
        return 'hellow LIGHTAPI'
    }
}


//插件的声明 server为light-api的server，options:
/**
 * 删除方法
 * @param {*} server ：light-api server对象
 * @param {*} options ： ./config/config.js 注册插件的配置 
 * @param {*} next ：最后必须调用next()
 */
exports.register = function (server, options, next) {
    //通过server-utils 工具可以获取其他插件暴漏的方法
     //let utils = new Utils(server);
     //let rdb = utils.getPlugin('light-api-mysql');

    //插件暴漏方法必修写在service上，在API的handler中可以使用this.getPlugin('pluginName')获取对象
    server.expose('service', service);
    
    
    //插件的日志输出使用server.log('info',message);
    server.log('info','completed to my-plugin-demo plugin init');
    next();
};

exports.register.attributes = {
    name: 'my-plugin-demo',
    version: '1.0.0'
};

