let config = require("../../kernel/config");
let utils = require("../../kernel/util");
/**
 * 文件后缀策略处理
 * @param $
 */

let res_suffix_map = {};//开发模式下如果使用这个变量那也无法清空，测试换经怎么会加后缀，这不合理

module.exports = function ($) {
    return Promise.all([
        processRES($,"link","href"),
        processRES($,"script","src")
    ]).then(function () {
        return $.html();
    })
};

function processRES($,type,attr) {
    let suffixPromise = [];

    Array.prototype.forEach.call($(type),function (o,i) {
        suffixPromise.push(new Promise(function (resolve,reject) {
            let src = o.attribs[attr];

            if(!src) return reject();

            if (config.config && config.config.packager) {
                let files = config.config.packager.files || [];
                files.forEach(function (file,index) {
                    let envFiles = file.replace(/[\._]?\$\{env\}/ig, "");
                    if(src===envFiles){
                        reject();
                    }
                })
            }

            resolve(src);
        }).then(function (src) {
            //修复文件后缀导致文件被重命名的问题
            // let tmp = /([^\/]{1,})\.([^\.]{1,})$/i.exec(src);
            //
            // let dist = null;
            // if (res_suffix_map[src]) {
            //     dist = res_suffix_map[src];
            // } else {
            //     if (utils.existsSync(`dist/${src}`)) {
            //         dist = src.replace(/([^\/]{1,})\.([^\.]{1,})$/i, `${tmp[1]}_${new Date().getTime()}.${tmp[2]}`);
            //         utils.renameSync(`dist/${src}`, `dist/${dist}`);
            //     }else{
            //         dist = src;
            //     }
            // }

            o.attribs[attr] = o.attribs[attr]+"?"+new Date().getTime();
            // res_suffix_map[src] = dist;

            return Promise.resolve();
        }).catch(function () {
            //DO NOTING
        }))
    });

    return Promise.all(suffixPromise);
}